/* basic decision tree structure */

typedef struct DecisionTree
{
	/* when using Boolean operators - AND/OR/NOT */
	bool booleanOperator;

	/* when using standard comparisons - >/</==/!= */
	int comparisonOp;

	/* the first antecedent (input1, input3, input5, etc) */
	int antecedent1;

	/* the second antecedent (input2, input4, input6, etc) */
	int antecedent2;

	/* follow the left branch if false */
	DecisionTree *decisionTreeLeftBranch;

	/* follow the right branch if true */
	DecisionTree *decisionTreeRightBranch;

	/* a pointer to the previously defined Action struct for
	   both true and false outcomes */
	Action *actionTrue;
	Action *actionFalse;

	//...etc
} DecisionTree;