/* structures that might be needed when implementing a plan */

typedef struct Action
{
	/* name of the action */
	string actionName;

	/* class or type of the action */
	int actionType;

	/* time allowed for execution of the action */
	int actionTime;

	/* pointer to the resources structure  possible data
	   required for successful execution of the action */
	Resources *requiredResources;

	/* pointer to a structure detailing the conditions that must
	   be satisfied before the action can be performed */
	ConditionalStates *state;

	//...etc
} Action;

typedef struct Goal
{
	/* name of the goal, for example: "attack player" */
	string goalName;

	/* class or type of the goal */
	int goalType;

	/* time allowed for execution of the goal */
	int goalTime;

	//...etc
} Goal;