/* basic waypoint pathfinding structure and array to hold the waypoints */

typedef struct Waypoint
{
	/* number to identify the waypoint */
	int waypointId;

	/* description of the waypoint */
	string waypointDescription;

	/* waypoint's x-, y- and z-coordinates */
	float waypointXCoord;
	float waypointYCoord;
	float waypointZCoord;

	/* length from the current waypoint to the next */
	float distanceToNext;

	/* pointer to the next waypoint - NULL if none */
	Waypoint *nextWaypoint;
	/* pointer to the previous waypoint - NULL if none */
	Waypoint *previousWaypoint;
}

Waypoint nodes[6] =
	{{1, "start_node", x_coord1, y_coord1,
	  z_coord1, distance1, &nodes[1], NULL},

	{2, "second_node", x_coord2, y_coord2,
	 z_coord2, distance2, &nodes[2], &nodes[1]},

	{3, "third_node", x_coord3, y_coord3,
	 z_coord3, distance3, &nodes[3], &nodes[2]},

	{4, "fourth_node", x_coord4, y_coord4,
	 z_coord4, distance4, &nodes[4], &nodes[3]},

	{5, "fifth_node", x_coord5, y_coord5,
	 z_coord5, distance5, &nodes[5], &nodes[4]},

	{6, "end_node", x_coord6, y_coord6,
	 z_coord6, distance6, NULL, &nodes[5]}};
